<?php if (!isset($article) || !$article): ?>
    <div class="container my-5">
        <div class="alert alert-danger">Artikel nicht gefunden!</div>
        <a href="index.php?action=listArticles" class="btn btn-secondary">Zurück zur Liste</a>
    </div>
<?php else: ?>
<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <title>Artikel bearbeiten</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
<?php include 'partials/navbar.php'; ?>
<div class="container my-5">
    <h1 class="text-center text-primary">Artikel bearbeiten</h1>

    <?php if (isset($_SESSION['error'])): ?>
        <div class="alert alert-danger">
            <i class="bi bi-exclamation-triangle-fill"></i> <?= htmlspecialchars($_SESSION['error']); ?>
        </div>
        <?php unset($_SESSION['error']); ?>
    <?php endif; ?>

    <form method="POST" action="index.php?action=updateArticle" class="mt-4">
        <input type="hidden" name="id" value="<?= htmlspecialchars($article['id']); ?>">

        <div class="mb-3">
            <label for="name" class="form-label">Name des Artikels *</label>
            <input type="text" name="name" id="name" class="form-control" 
                   value="<?= htmlspecialchars($article['name']); ?>" required>
        </div>

        <div class="mb-3">
            <label for="sku" class="form-label">SKU *</label>
            <input type="text" name="sku" id="sku" class="form-control" 
                   value="<?= htmlspecialchars($article['sku']); ?>" required>
        </div>

        <div class="mb-3">
            <label for="price" class="form-label">Preis (€)</label>
            <input type="number" step="0.01" name="price" id="price" class="form-control"
                   value="<?= htmlspecialchars($article['price']); ?>">
        </div>

        <div class="mb-3">
            <label for="quantity" class="form-label">Menge</label>
            <input type="number" name="quantity" id="quantity" class="form-control"
                   value="<?= htmlspecialchars($article['quantity']); ?>">
        </div>

        <div class="mb-3">
            <label for="lagerplatz_id" class="form-label">Lagerplatz</label>
            <select name="lagerplatz_id" id="lagerplatz_id" class="form-control">
                <option value="0">Kein Lagerplatz zugeordnet</option>
                <?php foreach ($lagerplaetze as $lp): ?>
                    <option value="<?= htmlspecialchars($lp['id']); ?>" 
                        <?= (isset($currentLagerplatzId) && $currentLagerplatzId == $lp['id']) ? 'selected' : ''; ?>>
                        <?= htmlspecialchars($lp['name']); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>


        <div class="mb-3">
            <label for="description" class="form-label">Beschreibung</label>
            <textarea name="description" id="description" class="form-control" rows="5"><?= htmlspecialchars($article['description']); ?></textarea>
        </div>

        <button type="submit" class="btn btn-primary">Speichern</button>
        <a href="index.php?action=listArticles" class="btn btn-secondary">Abbrechen</a>
    </form>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
<?php endif; ?>
